petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSBasicSymplecticGetType

Get the type of the basic symplectic method

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSBasicSymplecticGetType(TS ts,TSBasicSymplecticType *bsymptype)

Logically Collective on TS

### Input Parameter

| ts | - timestepping context
| bsymptype | - type of the basic symplectic scheme

### Level

intermediate

### Location

src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c

### Implementations

TSBasicSymplecticGetType_BasicSymplectic in src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages